<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
	  data-namespace-typo3-fluid="true">
<!--
	=====================
		Partials/List/Karriere.html
-->
<div class="news--article news mb-5 mb-md-5" itemscope="itemscope" itemtype="http://schema.org/Article">
	<n:excludeDisplayedNews newsItem="{newsItem}"/>

	<f:if condition="{newsItem.mediaPreviews}">
		<!-- media preview element -->
		<f:then>
			<div class="news-img-wrap">
				<n:link newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}">
					<f:alias map="{mediaElement: newsItem.mediaPreviews.0}">
						<f:if condition="{mediaElement.originalResource.type} == 2">
							<v:media.picture src="{mediaElement}" title="{mediaElement.originalResource.title}" alt="{mediaElement.originalResource.alternative}" class="img-fluid">
							    <v:media.source media="(min-width: 1200px)" width="{f:if(condition: settings.media.maxWidth, then: settings.media.maxWidth, else: settings.list.media.image.maxWidth)}c" height="{f:if(condition: settings.media.maxHeight, then: settings.media.maxHeight, else: settings.list.media.image.maxHeight)}c" />
							    <v:media.source media="(min-width: 992px)" width="450c" maxH="339c" />
							    <v:media.source media="(min-width: 576px)" width="510c" maxH="384c" />
							    <v:media.source width="320c" />
							    <!--[if IE 9]>
									<v:media.source width="{f:if(condition: settings.media.maxWidth, then: settings.media.maxWidth, else: settings.list.media.image.maxWidth)}c" height="{f:if(condition: settings.media.maxHeight, then: settings.media.maxHeight, else: settings.list.media.image.maxHeight)}c" />    
								<![endif]-->
							</v:media.picture>
						</f:if>
					</f:alias>
				</n:link>
			</div>
		</f:then>
		<f:else>
			<f:if condition="{settings.displayDummyIfNoMedia}">
				<div class="news-img-wrap">
					<span class="no-media-element">
						<n:link newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}">
							<v:format.placeholder.image width="{f:if(condition: settings.media.maxWidth, then: settings.media.maxWidth, else: settings.list.media.image.maxWidth)}" height="{f:if(condition: settings.media.maxHeight, then: settings.media.maxHeight, else: settings.list.media.image.maxHeight)}" backgroundColor="333333" textColor="FFFFFF" class="img-fluid"></v:format.placeholder.image>
						</n:link>
					</span>
				</div>
			</f:if>
		</f:else>
	</f:if>
	
	<!-- header -->
	<div class="header mt-3">
		<h3>
			<n:link newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}">
				<span itemprop="headline">{newsItem.title}</span>
			</n:link>
		</h3>
	</div>


	<!-- teaser -->
	<div class="teaser-text text-muted">
		<n:removeMediaTags>
			<f:if condition="{newsItem.teaser}">
				<f:then>
					<div itemprop="description">{newsItem.teaser -> f:format.crop(maxCharacters: '{settings.cropMaxCharacters}', respectWordBoundaries:'1') -> f:format.html()}</div>
				</f:then>
				<f:else>
					<div itemprop="description">{newsItem.bodytext -> f:format.crop(maxCharacters: '{settings.cropMaxCharacters}', respectWordBoundaries:'1') -> f:format.html()}</div>
				</f:else>
			</f:if>
		</n:removeMediaTags>
	</div>
	<n:link newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}" class="text-uppercase more--link">
		<f:translate key="more-link"/>
	</n:link>
	
	
</div>
</html>
